## mir-core 1.0.2

=== meson_options.txt ===
option('with_test', type : 'boolean', value : false)

## mir-core 0.0.12

=== debian/changelog ===
mir-core (0.0.12-1) unstable; urgency=medium

  * Initial release

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Dec 2018 20:01:14 +0100

=== debian/control ===
Source: mir-core
Section: libs
Priority: optional
Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper (>= 11),
               dh-dlang,
               meson (>= 0.46),
               pkg-config
Standards-Version: 4.2.1
Homepage: https://github.com/libmir/mir-core
Vcs-Browser: https://salsa.debian.org/d-team/mir-core
Vcs-Git: https://salsa.debian.org/d-team/mir-core.git

Package: libmir-core0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Base D software building blocks and conventions
 Generic building blocks and conventions for software
 written in the D programming language.
 .
 Using the code does not introduce a D runtime dependency
 (betterC compatibility).

Package: libmir-core-dev
Section: libdevel
Architecture: any
Depends: libmir-core0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: D software building blocks and conventions -- development files
 Generic building blocks and conventions for software
 written in the D programming language.
 .
 Using the code does not introduce a D runtime dependency
 (betterC compatibility).
 This package contains development files for the D programming language.

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/libmir/mir-core/tags .*/v?(\d\S*)\.tar\.gz

## mir-core 1.0.1

=== debian/changelog ===
mir-core (1.0.1-2) unstable; urgency=medium

  * Tighten build-dependency on dh-dlang

 -- Matthias Klumpp <mak@debian.org>  Sun, 15 Sep 2019 14:52:07 +0200

mir-core (1.0.1-1) unstable; urgency=medium

  * New upstream version: 1.0.1
  * Bump standards version and dh compat level: No changes needed
  * Simplify d/watch file

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Sep 2019 22:26:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-dlang,
+Build-Depends: debhelper-compat (= 12),
+               dh-dlang (>= 0.6.2),
                meson (>= 0.46),
                pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/libmir/mir-core
 Vcs-Browser: https://salsa.debian.org/d-team/mir-core
 Vcs-Git: https://salsa.debian.org/d-team/mir-core.git

## mir-core 1.0.2

=== debian/changelog ===
mir-core (1.0.2-1) unstable; urgency=medium

  * New upstream version: 1.0.2
  * Bump standards version: No changes needed
  * Mark rules as not requiring root

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Feb 2020 10:38:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                dh-dlang (>= 0.6.2),
                meson (>= 0.46),
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/libmir/mir-core
 Vcs-Browser: https://salsa.debian.org/d-team/mir-core
 Vcs-Git: https://salsa.debian.org/d-team/mir-core.git

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/ \
  https://github.com/libmir/mir-core/tags .*/v?(\d\S*)\.tar\.gz

## mir-core 1.1.111

=== debian/changelog ===
mir-core (1.1.111-2) unstable; urgency=medium

  * Add fix-gdc-build.patch: Fix build with GDC (Closes: #1018796)

 -- Matthias Klumpp <mak@debian.org>  Sun, 04 Sep 2022 17:25:46 +0200

mir-core (1.1.111-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.1.111
  * Build shared as well as static library
  * Update package name for SONAME bump
  * Update d/copyright

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libmir-core-dev, libmir-core0: Add Multi-Arch: same.

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Aug 2022 08:28:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-dlang (>= 0.6.2),
                meson (>= 0.46),
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/libmir/mir-core
 Vcs-Browser: https://salsa.debian.org/d-team/mir-core
 Vcs-Git: https://salsa.debian.org/d-team/mir-core.git
 
-Package: libmir-core0
+Package: libmir-core1
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: Base D software building blocks and conventions
  Generic building blocks and conventions for software
  written in the D programming language.
@@ -27,9 +28,10 @@
 Package: libmir-core-dev
 Section: libdevel
 Architecture: any
-Depends: libmir-core0 (= ${binary:Version}),
+Depends: libmir-core1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: D software building blocks and conventions -- development files
  Generic building blocks and conventions for software
  written in the D programming language.

=== debian/watch ===
version=4

opts=uversionmangle=s/-/~/ \
  https://github.com/libmir/mir-core/tags .*/v?(\d\S*)\.tar\.gz

## mir-core 1.7.0

=== debian/changelog ===
mir-core (1.7.0-1build5) resolute; urgency=medium

  * Rebuild against latest ldc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Nov 2025 06:41:50 -0500

mir-core (1.7.0-1build4) questing; urgency=medium

  * No-change rebuild for libgphoos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Sep 2025 20:43:45 +0200

mir-core (1.7.0-1build3) questing; urgency=medium

  * No-change rebuild for libgphoos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Aug 2025 16:09:51 +0200

mir-core (1.7.0-1build2) plucky; urgency=medium

  * Rebuild against new libphobos2-ldc-shared110.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jan 2025 14:51:37 +0100

mir-core (1.7.0-1build1) oracular; urgency=medium

  * No-change rebuild for libgphobos soname change

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jul 2024 11:14:58 +0200

mir-core (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Bump standards version (no changes needed)
  * Drop all patches: Applied upstream
  * Depend on pkgconf instead of pkg-config

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Feb 2024 22:03:34 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

include /usr/share/dh-dlang/dlang-flags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --default-library=both

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V
